%define anolis_release 1

# Building the documentation requires the furo Sphinx theme.  But building furo
# requires sphinx_theme_builder, which requires this package.  Avoid a
# dependency loop with this conditional.
%bcond_with doc

Name:           python-pyproject-metadata
Version:        0.7.1
Release:        %{anolis_release}%{?dist}
Summary:        PEP 621 metadata parsing

License:        MIT
URL:            https://github.com/FFY00/python-pyproject-metadata
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Remove two tests that throw different errors in python 3.11 and 3.12
Patch0:         %{name}-test.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist packaging}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%if %{with doc}
BuildRequires:  %{py3_dist furo}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist sphinx-autodoc-typehints}
%endif

%global _desc %{expand:
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).}

%description %_desc

%package     -n python3-pyproject-metadata
Summary:        PEP 621 metadata parsing
Obsoletes:      python3-pep621 < 0.5
Provides:       python3-pep621 = %{version}-%{release}

%description -n python3-pyproject-metadata %_desc

%package        -n python3-pyproject-metadata-doc
Summary:        Documentation for python3-pyproject-metadata
Obsoletes:      python3-pep621-doc < 0.5
Provides:       python3-pep621-doc = %{version}-%{release}

%description    -n python3-pyproject-metadata-doc
Documentation for python3-pyproject-metadata.

%prep
%autosetup -p1

%build
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html

%if %{with doc}
# Build the documentation
PYTHONPATH=$PWD/build/lib
mkdir html
sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files pyproject_metadata

%check
%pytest

%files -n python3-pyproject-metadata -f %{pyproject_files}
%license LICENSE

%files -n python3-pyproject-metadata-doc
%doc CHANGELOG.html README.md
%if %{with doc}
%doc html
%endif

%changelog
* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 0.7.1-1
- Import package for anolis 23
